Subject: Re: [PATCH bpf-next v9 04/11] bpf: move prog->aux->linked_prog and trampoline into bpf_link on attach

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 29 Sep 2020 12:47:13 +0200

Alexei Starovoitov <[email-masked]> writes:

> On Fri, Sep 25, 2020 at 11:25:03PM +0200, Toke HÃƒÂ¸iland-JÃƒÂ¸rgensen wrote:
>>  
>>  int bpf_check_attach_target(struct bpf_verifier_log *log,
>>  			    const struct bpf_prog *prog,
>> -			    const struct bpf_prog *tgt_prog,
>> +			    const struct bpf_prog *dst_prog,
>
> so you really did blind search and replace?
> That's not at all what I was asking.
> The function is called check_attach_target and the argument name
> 'tgt_prog' fits perfectly.

Initially I did, and then I realised basically what you were saying, and
started to undo some of the conversions. Guess I landed somewhere
in-between... Will fix, and resend patches 4-10. Thanks!

-Toke